Flecs: flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > > Struct Template Reference
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Public Member Functions | List of all members
flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > > Struct Template Reference
Inheritance diagram for flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > >:
[legend]

## Public Member Functions
| each_field (const flecs::iter_t *, _::field_ptr &field, size_t row)
T & | get_row ()
Public Member Functions inherited from flecs::_::each_column_base
| each_column_base (const _::field_ptr &field, size_t row)

## Additional Inherited Members
Protected Attributes inherited from flecs::_::each_column_base
const _::field_ptr & | field_
size_t | row_

## Detailed Description

template<typename T>
struct flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > >

Definition at line 135 of file delegate.hpp.

## Constructor & Destructor Documentation

## ◆ each_field()

template<typename T>

flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > >::each_field | ( | const flecs::iter_t * | ,
|  | _::field_ptr & | field,
|  | size_t | row )
| inline

Definition at line 139 of file delegate.hpp.

## Member Function Documentation

## ◆ get_row()

template<typename T>

T & flecs::_::each_field< T, if_t< !is_pointer< T >::value &&!is_empty< actual_type_t< T > >::value &&is_actual< T >::value > >::get_row | ( |  | ) |
| inline

Definition at line 142 of file delegate.hpp.

The documentation for this struct was generated from the following file:

- include/flecs/addons/cpp/delegate.hpp